Airport
curl --request GET \
--url https://data.flightportrait.com/v1/airport/{code}import requests
url = "https://data.flightportrait.com/v1/airport/{code}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.flightportrait.com/v1/airport/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "SIN",
"departures": 120,
"destinations": 40,
"tails": 80,
"days_observed": 60,
"routes": [
{
"dst": "LHR",
"flights": 14,
"days": 7
}
],
"board": [
{
"flight": "SQ322",
"dst": "LHR",
"dep": "09:00",
"arr": "15:10",
"type": "A359",
"flights": 12,
"source": "adsb"
}
],
"airlines": [
{
"icao": "SIA",
"flights": 90
}
],
"times": "local",
"window": "60"
}History
Airport
Observed totals and busiest routes, plus an inferred departures board in local time. IATA or ICAO code. Circuits excluded. 404 if none.
GET
/
v1
/
airport
/
{code}
Airport
Path Parameters
IATA or ICAO airport code.
Response
OK